LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices

Reply
 
Search this Thread
Old 10-06-2009, 04:23 AM   #1
Suranjit
LQ Newbie
 
Registered: Jul 2009
Distribution: Ubuntu 9.04
Posts: 7

Rep: Reputation: 0
Facing error while running "g++ 3.4.4" code in "g++ 4.3.3"


Hi,

I have to compile some cpp codes which were written in "g++ 3.4.4". But now I am using Ubuntu 9.04 (which uses g++ 4.3.3) and whenever I tried to compile those code I found some errors like "... : error: expected `)' before * token".

I was not able to find out any problem in that code. Can anyone please suggest me what to do?

By the way, those codes are implementation of some Broadcast Algorithms for ns-2.29 distribution that I have analyze.

Thanks,
Suranjit
 
Old 10-06-2009, 06:59 AM   #2
clvic
Member
 
Registered: Feb 2008
Location: Rome, Italy
Distribution: OpenSuSE 11.x, vectorlinux, slax, Sabayon
Posts: 206
Blog Entries: 2

Rep: Reputation: 44
I remember that ns2 has some problems with gcc4. You could give a look at the list of changes to see whether there's some problem in your code that arose with gcc4 (http://gcc.gnu.org/gcc-4.3/changes.html).
You should also remember to re-run the "configure" scripts when changing the compiler.

If everything fails, you can install a copy of gcc3 and use that one, using the sources downloadable from gcc's site, is not that difficult to rebuild gcc if you're used to build ns.
 
Old 10-08-2009, 11:22 PM   #3
Suranjit
LQ Newbie
 
Registered: Jul 2009
Distribution: Ubuntu 9.04
Posts: 7

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by clvic View Post
I remember that ns2 has some problems with gcc4. You could give a look at the list of changes to see whether there's some problem in your code that arose with gcc4 (http://gcc.gnu.org/gcc-4.3/changes.html).
You should also remember to re-run the "configure" scripts when changing the compiler.

If everything fails, you can install a copy of gcc3 and use that one, using the sources downloadable from gcc's site, is not that difficult to rebuild gcc if you're used to build ns.
Thanks for you reply. I tried to install gcc3.4.4 but I have failed to install (I could not build it). Even I installed gcc4.1 but when I checked in the console ($ g++ -v), it said that g++ is not installed. Then again I installed gcc4.3 and then it showed that g++ was ok now.... Now I'm trying to change my codes. Thanks by the way.

Regards,
Suranjit
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
error: Error for wireless request "Set Mode" (8B06) : invalid argument "roaming" penguin chick Linux - Wireless Networking 5 08-22-2008 01:16 PM
net working eth0 eth1 wlan0 "no connection" "no LAN" "no wi-fi" Cayitano Linux - Newbie 5 12-09-2007 07:11 PM
Standard commands give "-bash: open: command not found" even in "su -" and "su root" mibo12 Linux - General 4 11-11-2007 10:18 PM
LXer: Displaying "MyComputer", "Trash", "Network Servers" Icons On A GNOME Desktop LXer Syndicated Linux News 0 04-02-2007 08:31 AM
error running "make" and "arkollonrc"... Toro Linux - Software 1 04-19-2004 12:24 AM


All times are GMT -5. The time now is 04:00 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration